Subject: Re: Watchman/inotify support and other ways to speed up git status

From: David Turner <[email-masked]>
Date: Tue, 03 Nov 2015 15:32:21 -0500

On Tue, 2015-11-03 at 08:09 +0100, Christian Couder wrote:
> On Tue, Nov 3, 2015 at 6:45 AM, Duy Nguyen <[email-masked]> wrote:
> > On Mon, Nov 2, 2015 at 9:56 PM, David Turner <[email-masked]> wrote:
> >> On Thu, 2015-10-29 at 09:10 +0100, Christian Couder wrote:
> >>> > We're using Watchman at Twitter.  A week or two ago posted a dump of our
> >>> > code to github, but I would advise waiting a day or two to use it, as
> >>> > I'm about to pull a large number of bugfixes into it (I'll update this
> >>> > thread and provide a link once I do so).
> >>>
> >>> Great, I will have a look at it then!
> >>
> >> Here's the most recent version:
> >>
> >> https://github.com/dturner-tw/git/tree/dturner/watchman
> >
> > Christian, the index-helper/watchman series are posted because you
> > showed interest in this area. I'm not rerolling to address David's
> > comments on the series for now.
> 
> Ok no problem. Thanks a lot to you and David for posting your rebased series!
> 
> > Take your time evaluate the two
> > approaches, then you can pick one (and let me know if you want me to
> > hand my series over, very glad to do so).
> 
> Yeah, I will do that, thanks again!

To be clear: I think Duy's approach is probably best in the long term.